#
# spec file for EncLitt
# (c) 2004 IMC
#

# Basic macros
%define name     enclitt
%define version  1.0.3
%define release  2mdk
%define abstract Literature encyclopedia

Name:           %name
Summary:        %abstract
Version:        %version
Release:        %release
License:        GPL
Group:          Education
URL:            http://www.ruedesecoles.com/EduPack
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  qt3-devel

Source0:        http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
It's a Literature encyclopedia. It needs an encyclopedia package to work.

%prep

%setup -q

%build
export QTDIR=%{_libdir}/qt3
export PATH=$PATH:%{_libdir}/qt3/bin
export CFLAGS="$RPM_OPT_FLAGS"

qmake

%make

%install
rm -rf %buildroot

%makeinstall INSTALL_ROOT=$RPM_BUILD_ROOT
install -d -m 777 %buildroot/%_datadir/%name/Users

# Menu icons
install -D -m 644 Icons/%{name}48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 Icons/%{name}32.png %buildroot/%_iconsdir/%name.png
install -D -m 644 Icons/%{name}16.png %buildroot/%_miconsdir/%name.png

chmod 644 Doc/{ChangeLog,TODO,README,AUTHORS,LICENSE}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Doc/ChangeLog Doc/TODO Doc/README Doc/AUTHORS Doc/LICENSE
%_bindir/*
%defattr(0644,root,root,0755)
%dir %_datadir/%name

%dir %_datadir/%name/_Dtd
%_datadir/%name/_Dtd/*

%dir %_datadir/%name/Skins
%_datadir/%name/Skins/*

%dir %_datadir/%name/Translations
%_datadir/%name/Translations/*

%_iconsdir/*
%defattr(0644,root,root,0777)
%_datadir/%name/U*



%changelog
* Sun Mar 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- fix strange description

* Mon Mar 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- use "Education" group
- fix permissions on docs
- owns some dirs
- from Patrick PIERRE <patrick.pierre@infomedia.fr> : 
	- initial release
